<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<artifactId>simulator-common</artifactId>
		<groupId>net.ihe.gazelle.simulators</groupId>
		<version>5.1.1-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>

	<modelVersion>4.0.0</modelVersion>
	<artifactId>simulator-common-ejb</artifactId>
	<version>5.1.1-SNAPSHOT</version>
	<packaging>ejb</packaging>
	<name>simulator-common - EJB</name>
	<dependencies>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam</artifactId>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>gum-client</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jboss.spec.javax.ejb</groupId>
			<artifactId>jboss-ejb-api_3.1_spec</artifactId>
			<scope>provided</scope>
		</dependency>
		<!-- <dependency> <groupId>org.richfaces.framework</groupId> <artifactId>richfaces-api</artifactId>
			<version>3.3.3.3</version> <scope>provided</scope> </dependency> -->
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.jboss.spec.javax.faces</groupId>
			<artifactId>jboss-jsf-api_2.1_spec</artifactId>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-validator</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.apache</groupId>
			<artifactId>xmlsec</artifactId>
			<version>1.4.3</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.picketlink</groupId>
			<artifactId>picketlink-fed-core</artifactId>
			<version>1.0.4.final</version>
			<type>jar</type>
			<scope>compile</scope>
			<exclusions>
				<exclusion>
					<artifactId>jbossxacml</artifactId>
					<groupId>org.jboss.security</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jboss-security-spi</artifactId>
					<groupId>org.jboss.security</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jbosssx</artifactId>
					<groupId>org.jboss.security</groupId>
				</exclusion>
				<exclusion>
					<artifactId>log4j</artifactId>
					<groupId>apache-log4j</groupId>
				</exclusion>
				<exclusion>
					<artifactId>commons-logging-api</artifactId>
					<groupId>apache-logging</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jaxb-api</artifactId>
					<groupId>sun-jaxb</groupId>
				</exclusion>
				<exclusion>
					<artifactId>persistence-api</artifactId>
					<groupId>javax.persistence</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>sso-api-v7</artifactId>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>cas-client-v7</artifactId>
		</dependency>
        <dependency>
            <groupId>net.ihe.gazelle.maven</groupId>
            <artifactId>assertion-provider-client</artifactId>
			<version>1.0.0</version>
        </dependency>
		<!-- REST easy -->
		<dependency>
			<groupId>org.jboss.resteasy</groupId>
			<artifactId>resteasy-jaxrs</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jboss.resteasy</groupId>
			<artifactId>resteasy-jaxb-provider</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.scannotation</groupId>
			<artifactId>scannotation</artifactId>
			<version>1.0.2</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.maven</groupId>
			<artifactId>gazelle-seam-tools-jar</artifactId>
			<type>ejb</type>
			<exclusions>
				<exclusion>
					<groupId>org.jboss.seam</groupId>
					<artifactId>jboss-seam-pdf</artifactId>
				</exclusion>
			</exclusions>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jboss.spec.javax.ws.rs</groupId>
			<artifactId>jboss-jaxrs-api_1.1_spec</artifactId>
			<scope>provided</scope>
		</dependency>
		<!-- <dependency> <groupId>org.richfaces.samples</groupId> <artifactId>laguna</artifactId> </dependency> -->
		<dependency>
			<groupId>org.kohsuke.metainf-services</groupId>
			<artifactId>metainf-services</artifactId>
			<version>1.1</version>
			<scope>provided</scope>
			<type>jar</type>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>gazelle-validation-ws</artifactId>
			<version>2.0.5</version>
		</dependency>
		<dependency>
			<groupId>org.richfaces.ui</groupId>
			<artifactId>richfaces-components-ui</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.richfaces.core</groupId>
			<artifactId>richfaces-core-impl</artifactId>
			<scope>provided</scope>
		</dependency>
	</dependencies>
</project>
